app:
  description: Get current weather by city name using OpenWeatherMap API
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: Sample weather workflow dify.com
  use_icon_as_answer_icon: false
kind: app
version: 0.1.5
workflow:
  conversation_variables: []
  environment_variables: []
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: start
        targetType: tool
      id: 1740727730033-source-1740727786888-target
      source: '1740727730033'
      sourceHandle: source
      target: '1740727786888'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: tool
        targetType: end
      id: 1740727786888-source-1740727903596-target
      source: '1740727786888'
      sourceHandle: source
      target: '1740727903596'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables:
        - label: city
          max_length: 100
          options: []
          required: true
          type: text-input
          variable: city
      height: 90
      id: '1740727730033'
      position:
        x: 273
        y: 402
      positionAbsolute:
        x: 273
        y: 402
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: openweather
        provider_name: openweather
        provider_type: builtin
        selected: false
        title: 天气查询
        tool_configurations:
          lang: en_us
          units: metric
        tool_label: 天气查询
        tool_name: weather
        tool_parameters:
          city:
            type: mixed
            value: '{{#1740727730033.city#}}'
        type: tool
      height: 116
      id: '1740727786888'
      position:
        x: 583
        y: 402
      positionAbsolute:
        x: 583
        y: 402
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1740727786888'
          - text
          variable: weather_info
        selected: false
        title: 结束
        type: end
      height: 90
      id: '1740727903596'
      position:
        x: 898
        y: 412
      positionAbsolute:
        x: 898
        y: 412
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 124
      y: 61
      zoom: 1
